#%RAML 1.0 Library
type: object
displayName: Rastreio
description: Dados de rastreio da carga
properties: 
    tipoColeta: 
        type: string 
        description: Define qual será o tipo de coleta da amostra. Avulsa ou Equipamento. A amostra relacionada a equipamento exige a identificação correta do compartimento e seu equipamento
        enum: [ AVULSA, EQUIPAMENTO ]
    numeroAmostra:
        type: string
        description: Número do frasco na amostra. Caso você informe o número que já existe, os dados da amostra serão atualizados, caso seja possível.
    codigoExterno:
        required: false
        type: string
        description: Id da amostra no sistema do cliente. Os dados adicionados aqui podem lhe auxiliar na identificação e carga de dados para o seu sistema. Dados deste campo serão carregados na amostra.
    idCompartimentoTipoColetaEquipamento:
        required: false
        type: integer
        description: Id do compartimento do equipamento. Campo obrigatório para tipo de coleta EQUIPAMENTO.
    horasEquipamentoTipoColetaEquipamento:
        type: integer
        description: Odômetro ou Horímetro ou período do equipamento no momento da coleta.
    idTipoCompartimentoTipoColetaAvulsa:
        type: string
        description: Id do tipo de compartimento. Campo obrigatório para coleta do tipo AVULSA.
        required: false
    nomeCompartimentoTipoColetaAvulsa:
        required: false
        type: string
        description: Nome do compartimento. Campo obrigatório para coleta do tipo AVULSA.
    idObraTipoColetaAvulsa:
        required: false
        type: integer
        description: Id da obra/unidade. Campo obrigatório para coleta do tipo AVULSA.
    dataColeta:
        required: false
        type: date-only
        description: Data da coleta no compartimento. Formato é yyyy-MM-dd. Você não pode registrar data futura de coleta e data muito antiga.
    horasOleo:
        required: false
        type: integer
        description: Quantidade de horas ou quilômetros ou periodos que o óleo da amostra possui.
    oleoTrocado:
        type: string
        description: Informa se o óleo foi trocado após a coleta.
        enum: [ NAO_INFORMADO , SIM , NAO ]
    idFabricanteOleo:
        required: false
        type: integer
        description: Id do fabricante do óleo.
    idViscosidade:
        required: false
        type: integer
        description: Id da viscosidade.
    detalhesOleo:
        required: false
        type: string 
        description: Detalhes do óleo. Em geral, utilizado para informar o nome comercial do óleo, se é sintético, etc.
    volumeAdicionado:
        required: false
        type: string
        description: Volume de óleo adicionado ao compartimento.
    comentario:
        required: false
        type: string
        description: Comentário do cliente na coleta da amostra.
        re
    camposExtras:
        required: false
        type: CampoExtraAmostra[]
        description: Campos extras no qual você deseja acrescentar na amostra. Estes campos serão retornados quando você solicitar dados detalhados da amostra e de seu resultado.     